Bug 3575 - SEG dependent on GLOBUS_LOCATION env var
: SEG dependent on GLOBUS_LOCATION env var
Status: RESOLVED WONTFIX
: GRAM
wsrf managed execution job service
: development
: PC Linux
: P3 minor
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-07-18 11:29 by
Modified: 2012-09-05 11:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-18 11:29:26
The SEG currently depends on inheriting the GLOBUS_LOCATION env var from the
Java container despite the Java code using a factory configuration parameter. 
This is primarily a problem when trying to deploy multiple versions of GRAM into
Tomcat.  The Java code can be configured to use separate GT install locations,
but the SEG cannot.  This needs to be fixed while preserving other environment
settings for the SEG such as LD_LIBRARY_PATH.  See bug #3554 for details.
------- Comment #1 From 2006-10-02 14:30:18 -------
This needs to be addressed. GRAM is currently limited to one Tomcat deployment
per container. Setting target to 4.2.
------- Comment #2 From 2012-09-05 11:42:50 -------
Doing some bugzilla cleanup...  Resolving old GRAM3 and GRAM4 issues that are
no longer relevant since we've moved on to GRAM5.  Also, we're now tracking
issue in jira.  Any new issues should be added here:

http://jira.globus.org/secure/VersionBoard.jspa?selectedProjectId=10363